<?php
//Cambio del método para enviar correo. se actualizo a el nuevo metódo para enviar correos.
//Agregue una nueva ruta en view.php para que busque en los paquetes por el correo.

namespace Daite\Coopdigital\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Mail\Mailables\Content;
use Illuminate\Mail\Mailables\Envelope;
use Illuminate\Queue\SerializesModels;

class CorreoCodigoConfirmacion extends Mailable
{
    use Queueable, SerializesModels;

    public $correo;
    public $codigo;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($correo, $codigo)
    {
        $this->correo = $correo;
        $this->codigo = $codigo;
    }

    /**
     * Get the message envelope.
     *
     * @return \Illuminate\Mail\Mailables\Envelope
     */
    public function envelope()
    {
        return new Envelope(
            subject: 'Código de verificación de ' . config('app.name'),
        );
    }

    /**
     * Get the message content definition.
     *
     * @return \Illuminate\Mail\Mailables\Content
     */
    public function content()
    {
        return new Content(
            view: 'coopdigital::correos.codigoVerificacion',
        );
    }

    /**
     * Get the attachments for the message.
     *
     * @return array
     */
    public function attachments()
    {
        return [];
    }
}
